> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Networks

> Lists all org networks with all token types; The ZKsync-only organization keeps its existing network restriction.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-networks
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-networks:
    post:
      operationId: getNetworks
      summary: Get Networks
      description: >-
        Lists all org networks with all token types; The ZKsync-only
        organization keeps its existing network restriction.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetNetworksRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetNetworksResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetNetworksRequest:
      type: object
      properties:
        includeDisabled:
          type: boolean
    GetNetworksResponse:
      type: object
      properties:
        network:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              networkID:
                type: string
              orgID:
                type: string
              name:
                type: string
              icon:
                type:
                  - string
                  - 'null'
              tokenType:
                type: string
              isNetworkEnabled:
                type:
                  - boolean
                  - 'null'
              chainType:
                type:
                  - string
                  - 'null'
              meshConnectNetworkID:
                type:
                  - string
                  - 'null'
              evmChainID:
                type:
                  - integer
                  - 'null'
              multiSendCallOnlyAddress:
                type:
                  - string
                  - 'null'
              safeSingletonAddress:
                type:
                  - string
                  - 'null'
              safeFactoryAddress:
                type:
                  - string
                  - 'null'
              safeAppBaseUrl:
                type:
                  - string
                  - 'null'
              safeTxServiceUrl:
                type:
                  - 'null'
                  - 'null'
              blockExplorerBaseUrl:
                type:
                  - string
                  - 'null'
              eipsName:
                type:
                  - string
                  - 'null'
              aleoTransferVisibility:
                type:
                  - string
                  - 'null'
              defaultNetworkSlugUrl:
                type:
                  - string
                  - 'null'
              catalogChainID:
                type:
                  - string
                  - 'null'
              rpcUrlConfigured:
                type: boolean
              TokenType:
                type: array
                items:
                  type: object
                  properties:
                    tokenTypeID:
                      type: string
                    name:
                      type: string
                    currencyCode:
                      type: string
                    icon:
                      type:
                        - string
                        - 'null'
                    orgID:
                      type: string
                    enabledForPayrollType:
                      type:
                        - string
                        - 'null'
                    networkID:
                      type: string
                    address:
                      type:
                        - string
                        - 'null'
                    decimalPlaces:
                      type:
                        - integer
                        - 'null'
                    coinMarketCapID:
                      type:
                        - string
                        - 'null'
                    createdAt:
                      type: string
                    isTokenEnabled:
                      type:
                        - boolean
                        - 'null'
                    isContractorDefault:
                      type: boolean
                    defaultTokenSlug:
                      type:
                        - string
                        - 'null'
                    catalogTokenDeploymentID:
                      type:
                        - string
                        - 'null'
                  required:
                    - tokenTypeID
                    - name
                    - currencyCode
                    - icon
                    - orgID
                    - enabledForPayrollType
                    - networkID
                    - address
                    - decimalPlaces
                    - coinMarketCapID
                    - createdAt
                    - isTokenEnabled
                    - isContractorDefault
                    - defaultTokenSlug
                    - catalogTokenDeploymentID
            required:
              - networkID
              - orgID
              - name
              - icon
              - tokenType
              - isNetworkEnabled
              - chainType
              - meshConnectNetworkID
              - evmChainID
              - multiSendCallOnlyAddress
              - safeSingletonAddress
              - safeFactoryAddress
              - safeAppBaseUrl
              - safeTxServiceUrl
              - blockExplorerBaseUrl
              - eipsName
              - aleoTransferVisibility
              - defaultNetworkSlugUrl
              - catalogChainID
              - rpcUrlConfigured
              - TokenType
      required:
        - network
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
